LibreOffice: XMutableTreeNode Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
XMutableTreeNode Interface Reference

Represents a mutable tree node as used by the MutableTreeDataModel. More...

`import "XMutableTreeNode.idl";`

Inheritance diagram for XMutableTreeNode:

## Public Member Functions
void | appendChild ([in] XMutableTreeNode ChildNode) raises ( com::sun::star::lang::IllegalArgumentException )
| appends ChildNode to this instance.
void | insertChildByIndex ([in] long Index, [in] XMutableTreeNode ChildNode) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException )
| inserts ChildNode to this instance at the given index.
void | removeChildByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| removes the node from this instance at the specified index.
void | setHasChildrenOnDemand ([in] boolean ChildrenOnDemand)
| Changes if the children of this node are created on demand.
void | setDisplayValue ([in] any Value)
| sets the display value of this node
void | setNodeGraphicURL ([in] string URL)
| The URL for a graphic that is rendered before the text part of this node.
void | setExpandedGraphicURL ([in] string URL)
| The URL for a graphic that is rendered to visualize expanded non leaf nodes.
void | setCollapsedGraphicURL ([in] string URL)
| The URL for a graphic that is rendered to visualize collapsed non leaf nodes.
Public Member Functions inherited from XTreeNode
XTreeNode | getChildAt ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns the child tree node at Index.
long | getChildCount ()
| Returns the number of child nodes.
XTreeNode | getParent ()
| Returns the parent node of this node.
long | getIndex ([in] XTreeNode Node)
| Returns the index of Node in this instances children.
boolean | hasChildrenOnDemand ()
| Returns `TRUE` if the children of this node are created on demand.
any | getDisplayValue ()
| If not empty, the textual representation of this any is used as the text part of this node.
string | getNodeGraphicURL ()
| The URL for a graphic that is rendered before the text part of this node.
string | getExpandedGraphicURL ()
| The URL for a graphic that is rendered to visualize expanded non leaf nodes.
string | getCollapsedGraphicURL ()
| The URL for a graphic that is rendered to visualize collapsed non leaf nodes.

## Public Attributes
any | DataValue
| Stores an implementation dependent value.

## Detailed Description

Represents a mutable tree node as used by the MutableTreeDataModel.

## Member Function Documentation

## ◆ appendChild()

void appendChild | ( | [in] XMutableTreeNode | ChildNode | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

appends ChildNode to this instance.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if ChildNode is not a valid node of the corresponding XTreeDataModel.

## ◆ insertChildByIndex()

void insertChildByIndex | ( | [in] long | Index,
|  | [in] XMutableTreeNode | ChildNode )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

inserts ChildNode to this instance at the given index.

Parameters

  Index | the index where the node will be inserted to this instance.
  ChildNode | the node to insert.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if ChildNode is not a valid node of the corresponding XTreeDataModel.
  com::sun::star::lang::IndexOutOfBoundsException | if Index is less than 0 or greater than XTreeNode::getChildCount().

## ◆ removeChildByIndex()

void removeChildByIndex | ( | [in] long | Index | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

removes the node from this instance at the specified index.

Parameters

  Index | the index of the node to be removed from this instance.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if Index is less than 0 or greater than XTreeNode::getChildCount().

## ◆ setCollapsedGraphicURL()

void setCollapsedGraphicURL | ( | [in] string | URL | ) |

The URL for a graphic that is rendered to visualize collapsed non leaf nodes.

If URL is empty, XTreeControl::DefaultCollapsedGraphicURL is used.

## ◆ setDisplayValue()

void setDisplayValue | ( | [in] any | Value | ) |

sets the display value of this node

## ◆ setExpandedGraphicURL()

void setExpandedGraphicURL | ( | [in] string | URL | ) |

The URL for a graphic that is rendered to visualize expanded non leaf nodes.

If URL is empty, XTreeControl::DefaultExpandedGraphicURL is used.

## ◆ setHasChildrenOnDemand()

void setHasChildrenOnDemand | ( | [in] boolean | ChildrenOnDemand | ) |

Changes if the children of this node are created on demand.

See also
  XTreeNode::hasChildrenOnDemand()

## ◆ setNodeGraphicURL()

void setNodeGraphicURL | ( | [in] string | URL | ) |

The URL for a graphic that is rendered before the text part of this node.

If this URL is empty, no graphic is rendered.

## Member Data Documentation

## ◆ DataValue

any DataValue
| attribute

Stores an implementation dependent value.

You can use this attribute to store data for this node that is independent of the display value

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tree/XMutableTreeNode.idl